package com.agri.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.agri.system.domain.SysMessage;

/**
 * 系统消息中心Mapper接口
 * 
 * @author lld
 * @date 2026-03-26
 */
public interface SysMessageMapper extends BaseMapper<SysMessage>
{
    /**
     * 查询系统消息中心
     * 
     * @param id 系统消息中心主键
     * @return 系统消息中心
     */
    public SysMessage selectSysMessageById(Long id);

    /**
     * 查询系统消息中心列表
     * 
     * @param sysMessage 系统消息中心
     * @return 系统消息中心集合
     */
    public List<SysMessage> selectSysMessageList(SysMessage sysMessage);

    /**
     * 新增系统消息中心
     * 
     * @param sysMessage 系统消息中心
     * @return 结果
     */
    public int insertSysMessage(SysMessage sysMessage);

    /**
     * 修改系统消息中心
     * 
     * @param sysMessage 系统消息中心
     * @return 结果
     */
    public int updateSysMessage(SysMessage sysMessage);

    /**
     * 删除系统消息中心
     * 
     * @param id 系统消息中心主键
     * @return 结果
     */
    public int deleteSysMessageById(Long id);

    /**
     * 批量删除系统消息中心
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysMessageByIds(Long[] ids);
}
